
export function isStringEmptyOrSpaces(str) {
    if (typeof str === "string") return str == null || str?.trim() === "";
    else if (typeof str === "object") {
        if (Array.isArray(str)) {
            for (const i of str) {
                if (i == null || i?.trim() === "") return true;
            }
        }
    }
    return false;
}

export function truncateMiddle(str, n) {
    if (str.length <= 2 * n) {
        return str; // Если длина строки меньше или равна 2n, то ничего не обрезаем
    }
    
    const leftPart = str.slice(0, n); // Первые n символов
    const rightPart = str.slice(-n); // Последние n символов
    
    return leftPart + '...' + rightPart; // Соединяем с "..."
}