import { browser } from "$app/environment";
import { getAuthInfo, makeAuthHeaderForAxios } from "$lib/auth/Auth";
import { makePost } from "$lib/tools/requests/requests";
import { sayError } from "$lib/tools/toaster/Toaster";

export async function load({ params }) {
  if(!browser) return;
  const { userToken } = params;
  return {
    token: userToken,
  };
}